<?php
/**
 * Twentytwenty-child Theme functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package twentytwenty-child
 */

add_action( 'wp_enqueue_scripts', 'twentytwenty_parent_theme_enqueue_styles' );

/**
 * Enqueue scripts and styles.
 */
function twentytwenty_parent_theme_enqueue_styles() {
	wp_enqueue_style( 'twentytwenty-style', get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'twentytwenty-child-style',
		get_stylesheet_directory_uri() . '/style.css',
		array( 'twentytwenty-style' )
	);
}


function tt_custom_header() {

	$_var = 'Title';
	$_var_2 = 'Sub Title';

	do_action('tt_custom_header', $_var, $_var_2 );

}

add_action('tt_custom_header', 'tt_add_sub_header_1', 10, 2 );
add_action('tt_custom_header', 'tt_add_sub_header_2', 9 );
//remove_action( 'tt_custom_header', 'tt_add_sub_header_2', 9 );

function tt_add_sub_header_1( $title, $subtitle ) {

	include('template-parts/sub-header.php');

}

function tt_add_sub_header_2() {
	
	$_var1 = 'yes';
	$_var2 = 'no';
	$subtitle = '<h2 style="text-align:center;">Subtitle 2</h2>';

	echo apply_filters('tt_subtitle_2', $subtitle, $_var1, $_var2 );

}

add_filter('tt_subtitle_2', 'tt_filter_subtitle_2', 10, 3);

function tt_filter_subtitle_2( $subtitle, $var1, $var2 ) {

	if ( 'yes' == $var1 ) {

		$subtitle = '<h2 style="text-align:center;">Você está no blog!</h2>';

	}

	return $subtitle;
}


remove_filter( 'tt_subtitle_2', 'tt_filter_subtitle_2', 10 );
















































